*, *::before, *::after{
    box-sizing: border-box;
} 

/* Body Styles */

body{
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    font-family: Arial, sans-serif;
    background-color: #F5F5F5;
}

body h1{
    font-family: "Playfair Display", serif;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
    text-align: center;
}

h2, header li{
    font-family: "Playfair Display", serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}

p, li, summary, span{
    font-family: "Inter", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}

/* Header and Navigation Styles */

header{
    background-color: #181818;
    padding: 10px 0;
}

.nav-container{
    display: flex;
    justify-content: center;
    margin: 10px auto;
}

.nav-links{
    list-style: none;
    display: flex;
    gap: 35px;
}

.nav-links li a{
    color: #F5F5F5;
    text-decoration: none;
    font-size: 20px;
    font-weight: bold;
}

.nav-links li a:hover{
    color: #f5f5f5cc;
    transition: color 0.3s ease;
}

.login-btn{
    background-color: #002366;
    color: #F5F5F5;
    padding: 10px 20px;
    margin-left: 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    white-space: nowrap;
    transition: background-color 0.3s ease;
}

.login-btn:hover{
    background-color: #001a4d;
}

.logo img{
    height: 55px;
    width: auto;
}

@media (max-width: 768px) {
    .nav-container {
        flex-direction: column;
        gap: 15px;
    }

    .nav-links {
        flex-direction: column;
        gap: 20px;
        margin: 0;
        padding: 10px 0;
        text-align: center;
        width: 100%;
    }
    .login-btn {
        width: 100%;      
        text-align: center; 
    }
    .logo img {
        height: 55px;
        width: auto;
        display: block;
        margin: 0 auto;
    }

}

/* Main Content Styles */

main{
    flex: 1;
}

/* Footer Styles */

footer{
    display: flex;
    justify-content: center;
    background-color: #181818;
    padding: 5px 0;
}

footer p{
    color: #f5f5f5ff;
    font-size: 14px;
    margin: 0;
    padding: 10px;
    text-align: center;
}
